%define installdir %_var/www/html/addon-modules/seiroswiki
# Speed-up build process
%define _verify_elf_method skip
%define _strip_method none

Name: seiroswiki
Version: 0.0.1
Release: alt4

Summary: A slight and handy Wiki-engine based on Wakka Wiki.
License: free, see docs/LICENSE
Group: Networking/Other

URL: http://seiroswiki.sourceforge.net
Packager: Vladimir V Kamarzin <vvk@altlinux.ru>
BuildArch: noarch

Source0: seiroswiki.tar

Requires: php-engine

%description
seiroswiki - Small, lightweight, handy, expandable, multilingual Wiki-engine
based on Wakka Wiki. WYSIWYG editor, easy installer, many localizations,
email notification on changes/comments, several cache levels, design themes
(skins) support, XHTML compliance, page rights (ACLs), page comments.

%package apache
Summary: apache-related config and control(8) call
Group: Networking/Other
Requires: %name = %version-%release, apache

%description apache
%summary

%package apache2
Summary: apache2-related config and control(8) call
Group: Networking/Other
Requires: %name = %version-%release, apache2

%description apache2
%summary

%package lighttpd
Summary: lighttpd-related control(8) call
Group: Networking/Other
Requires: %name = %version-%release, lighttpd

%description lighttpd
%summary

%package nginx
Summary: nginx-related control(8) call
Group: Networking/Other
Requires: %name = %version-%release, nginx

%description nginx
%summary

%prep
%setup -q -n seiroswiki

%build

%install
# install apache config
install -pD -m0644 docs/apache.conf %buildroot%_sysconfdir/httpd/conf/addon-modules.d/%name.conf
install -pD -m0644 docs/apache2.conf %buildroot%_sysconfdir/httpd2/conf/addon.d/A.%name.conf

# install control file
install -pDm0755 extra/%name.control %buildroot%_controldir/%name

# install wiki
mkdir -p %buildroot%installdir
cp -rp * %buildroot%installdir/

# installer can't create config because directory permissions doesn't allow crating files
touch %buildroot%installdir/wakka.config.php

# remove .htaccess files - we're use apache config instead
find %buildroot%installdir -name .htaccess -delete

# remove .gitignore files
find %buildroot%installdir -name .gitignore -delete

# give to group rw-access
chmod 2770 %buildroot%installdir/{xml,_cache,files,files/perpage}

%pre
# dump facility state before upgrading package
if [ $1 -eq 2 ]; then
	%_sbindir/control-dump %name
fi

%post
# restore facility state after upgrading package
if [ $1 -eq 2 ]; then
	%_sbindir/control-restore %name
fi

%post apache
# set facility at first package install
if [ $1 -eq 1 ]; then
	%_sbindir/control %name apache
fi
/sbin/service httpd reload

%postun apache
/sbin/service httpd reload

%post lighttpd
# set facility at first package install
if [ $1 -eq 1 ]; then
	%_sbindir/control %name lighttpd
fi

%post nginx
# set facility at first package install
if [ $1 -eq 1 ]; then
	%_sbindir/control %name nginx
fi

%post apache2
# activate mod_rewrite
a2enmod expires >/dev/null 2>&1
%_initdir/httpd2 condreload 1>&2
# set facility at first package install
if [ $1 -eq 1 ]; then
	%_sbindir/control %name apache2
fi
/sbin/service httpd2 reload

%postun apache2
/sbin/service httpd2 reload
if [ $1 -eq 0 ]; then
        a2dismod expires
        %_initdir/httpd2 condreload
fi

%files
%config %_controldir/*
%config(noreplace) %attr(0660,root,root) %installdir/wakka.config.php
%dir %installdir
%dir %attr(2770,root,root) %installdir/_cache
%dir %attr(2770,root,root) %installdir/xml
%dir %attr(2770,root,root) %installdir/files
%dir %attr(2770,root,root) %installdir/files/perpage
%installdir/interwiki.conf
%installdir/index.php
%installdir/wakka.php
%installdir/actions
%installdir/banners
%installdir/themes
%installdir/classes
%installdir/db
%installdir/formatters
%installdir/handlers
%installdir/images
%installdir/js
%installdir/lang
%installdir/lib
%installdir/libs
%installdir/setup
%installdir/templates
%doc docs
%exclude %installdir/docs
%exclude %installdir/seiroswiki.spec
%exclude %installdir/extra

%files apache
%config(noreplace) %_sysconfdir/httpd/conf/addon-modules.d/%name.conf

%files apache2
%config(noreplace) %_sysconfdir/httpd2/conf/addon.d/A.%name.conf

%files lighttpd

%files nginx

%changelog
* Mon Apr 23 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 0.0.1-alt4
- Merged mithraen@ changes:
  + Fix antibot picture when add comments
  + Fix registration antibot picture
  + some other (see git changelog)

* Mon Apr 09 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 0.0.1-alt3
- Fix filename of apache2-related config
- Corrected Alias and Directory directives in apache2-related config
- Activate mod_rewrite after %name-apache2 package install

* Wed Apr 04 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 0.0.1-alt2
- Move apache{1,2}-related config files into separate packages (vvk)
- Implemented control(8) support for swithing between webservers (vvk)
- Updated README.ALT (vvk)
- Speed up build process (vvk)
- More reasonable default config (vvk):
  + default language set to "ru"
  + upload set to "true"
  + increase maximum upload size
  + disable multilanguage by default
  + set db_collation to cp1251
- Add 'search' GET param to URLs from search results (mithraen)

* Tue Jan 30 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 0.0.1-alt1
- Switched to mithraen@'s SeirosWiki
- Updated README.ALT
- Enable rewrite mode by default
- Remove unneeded manipulations with apache config files
- Update URL
- Update description

* Tue Aug 29 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 4.2-alt4.svn.1162
- Updated from svn
- Rediffed patches
- Reload apache instead of restart at post/postun time
- Added wacko-r4.2-alt-initial-insert.patch for provide 'set names cp1251' when
  importing data in russian language
- Updated README.ALT

* Sun Mar 19 2006 Leonid Shalupov <shalupov@altlinux.ru> 4.2-alt3
- check apache package existance before restarting it and
  modifying configuration

* Sun Mar 05 2006 Leonid Shalupov <shalupov@altlinux.ru> 4.2-alt2
- require php-engine instead of mod_php (#7905)
- README.ALT.RUS added
- out-of-the-box usability patches (i.e. #8833)

* Sun Apr 03 2005 Leonid Shalupov <shalupov@altlinux.ru> 4.2-alt1
- 4.2

* Sat Feb 19 2005 Leonid Shalupov <shalupov@altlinux.ru> 4.0-alt1
- Initial build
